{ ... }: {
  imports = [
    ../../lib/modules/partition.nix
  ];

  config =  {
    partition.os.partitions = {
      # Keep Windows' boot partition
      Boot.keepExisting = true;

      Windows = {
        index = 6;
        label = "OS";
        format = "ntfs";
        size = "+600G";
        mountPoint = "/win";
        mountOptions = ["force"];
        keepExisting = true;
      };
    };
  };
}
